--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS


CRREWMSGE005 CONSTANT VARCHAR(255) :='CRREW4505E: Error NF_SCHEMA schema can not be null';
CRREWMSGE006 CONSTANT VARCHAR(255) :='CRREW4506E: Error STAR_SCHEMA schema can not be null';
CRREWMSGE007 CONSTANT VARCHAR(255) :='CRREW4507E: Error REP_USER user name can not be null';
CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: Error invalid calendar type. Specify 1 (gregorian), 2 (ISO)';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: Error START_YEAR is null OR greater than END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: Error END_YEAR is null OR less than START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: Error Warehouse schema not specified.  Specify a valid schema';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: Error Date Dimension is corrupted, smallest date does not equal January 1rst';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: Error Date Dimension is corrupted, largest date does not equal December 31rst';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: Error Date Dimension unsupported calendar';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: Error Date Dimension argument END_YEAR < MIN(YEAR) IN D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: Error Date Dimension argument START_YEAR > MAX(YEAR) IN D_DATE';
CRREWMSGE098 CONSTANT VARCHAR(255) :='CRREW4598E: Error cannot determine Insight version';
CRREWMSGE099 CONSTANT VARCHAR(255) :='CRREW4599E: Error cannot determine target Insight version';
CRREWMSGE100 CONSTANT VARCHAR(255) :='CRREW4600E: Error current version is greater than target version';
CRREWMSGE101 CONSTANT VARCHAR(255) :='CRREW4601E: Error executing the statement';
CRREWMSGE102 CONSTANT VARCHAR(255) :='CRREW4602E: Error there are dependent statements that have failled';

CRREW4505E CONSTANT INTEGER :=4505;
CRREW4506E CONSTANT INTEGER :=4506;
CRREW4507E CONSTANT INTEGER :=4507;
CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;
CRREW4598E CONSTANT INTEGER :=4598;
CRREW4599E CONSTANT INTEGER :=4599;
CRREW4600E CONSTANT INTEGER :=4600;
CRREW4601E CONSTANT INTEGER :=4601;
CRREW4602E CONSTANT INTEGER :=4602;

END;
/

