--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE005 CONSTANT VARCHAR(255) :='CRREW4505E: Errore: lo schema NF_SCHEMA non può essere nullo';
CRREWMSGE006 CONSTANT VARCHAR(255) :='CRREW4506E: Errore: lo schema STAR_SCHEMA non può essere nullo';
CRREWMSGE007 CONSTANT VARCHAR(255) :='CRREW4507E: Errore: il nome utente REP_USER non può essere nullo';
CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: Errore: tipo di calendario non valido. Specificare 1 (Gregoriano), 2 (ISO)';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: Errore: START_YEAR è nullo O maggiore di END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: Errore: END_YEAR è nullo O minore di START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: Errore: schema Warehouse non specificato.  Specificare uno schema valido';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: Errore: la dimensione della data è danneggiata, la data più piccola non è uguale a primo gennaio';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: Errore: la dimensione della data è danneggiata, la data più grande non è uguale a 31 dicembre';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: Errore: calendario non supportato per dimensione data';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: Errore: l'argomento di dimensione data END_YEAR è inferiore a MIN(YEAR) IN D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: Errore: l'argomento di dimensione data START_YEAR è superiore a MAX(YEAR) IN D_DATE';
CRREWMSGE098 CONSTANT VARCHAR(255) :='CRREW4598E: Errore: impossibile determinare la versione di Insight';
CRREWMSGE099 CONSTANT VARCHAR(255) :='CRREW4599E: Errore: impossibile determinare la versione di Insight di destinazione';
CRREWMSGE100 CONSTANT VARCHAR(255) :='CRREW4600E: Errore: la versione corrente è successiva alla versione di destinazione';
CRREWMSGE101 CONSTANT VARCHAR(255) :='CRREW4601E: Errore nell'esecuzione dell'istruzione';
CRREWMSGE102 CONSTANT VARCHAR(255) :='CRREW4602E: Errore: alcune istruzioni dipendenti hanno avuto esito negativo';

CRREW4505E CONSTANT INTEGER :=4505;
CRREW4506E CONSTANT INTEGER :=4506;
CRREW4507E CONSTANT INTEGER :=4507;
CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;
CRREW4598E CONSTANT INTEGER :=4598;
CRREW4599E CONSTANT INTEGER :=4599;
CRREW4600E CONSTANT INTEGER :=4600;
CRREW4601E CONSTANT INTEGER :=4601;
CRREW4602E CONSTANT INTEGER :=4602;

END;
/
